For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Invoices
      • GETGet transactions by invoiceid
      • POSTSearch transactions
      • GETGet transaction fees
LogoLogo
API ReferenceBilling

Get transactions by invoiceid

||View as Markdown|
GET
https://sandbox-api.shipbob.com/Experimental/invoices/:invoiceId/transactions
GET
/Experimental/invoices/:invoiceId/transactions
$curl -G https://sandbox-api.shipbob.com/Experimental/invoices/1/transactions \
> -H "Authorization: Bearer <token>" \
> --data-urlencode cursor=f8cUk/xJkbeYp2fCr3yJJvL8oHqxL2hFiGz3qjqtkQ5Q0+BVMffFoIfoqzOkEsAw \
> -d pageSize=100 \
> -d sortOrder=Descending
1{
2 "first": "f8cUk/xJkbeYp2L8oHqxL2hFiGz3qjre",
3 "items": [
4 {
5 "additionalDetails": {
6 "Comment": "TestInvoice"
7 },
8 "amount": 0.09,
9 "chargeDate": "2025-01-01",
10 "chargeEndDate": "2025-01-12",
11 "chargeStartDate": "2025-01-06",
12 "currencyCode": "USD",
13 "fulfillmentCenter": "Altona VIC",
14 "invoiceDate": "2025-01-01",
15 "invoiceId": 12345,
16 "invoiceType": "Shipping",
17 "invoicedStatus": true,
18 "referenceId": "12345",
19 "referenceType": "Shipment",
20 "taxes": [
21 {
22 "taxAmount": 0.01,
23 "taxRate": 10,
24 "taxType": "GST"
25 }
26 ],
27 "transactionFee": "Shipping",
28 "transactionId": "01AN4Z07BY79KA1307SR9X4MV3",
29 "transactionSubType": "WarehouseLeads",
30 "transactionType": "Charge"
31 }
32 ],
33 "last": "f8cUk/xJkbeYp2L8oHqxL2hFiGz3qjqt",
34 "next": "f8cUk/xjhyEYp2L8oHqxL2hFiGz3qjqt",
35 "prev": "f8cUk/xJkbeYp2L8oHqxL2hFiGz3qjcc"
36}
The unique identifier of the invoice whose transactions are to be retrieved
Was this page helpful?
Previous

Get Invoices

Next

Search transactions

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

invoiceIdintegerRequired

The unique identifier of the invoice whose transactions are to be retrieved Ex:-12345.

Query parameters

cursorstringOptional

[Optional] A pagination token used to jump to first, last, next or previous pages. When supplied, it overrides all other filter parameters.

pageSizeintegerOptionalDefaults to 100

Number of transactions to return per page (default is 100, to be entered when API is called for first time). Must be between 1 and 1000.

sortOrderenumOptional

Sort order of the results. Valid values: Ascending or Descending (default: Descending).

Allowed values:

Response

Success
firststring
Go to the first page
itemslist of objects
laststring
Go to the Last page
nextstring
Go to the Next page
prevstring
Go to the Previous page

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error